﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using CommonDll;

namespace HostProvider
{
    public class MyListBox : ListBox, IControlsTasks
    {
        #region IControlsTasks Members

        public System.Drawing.Color MyBackColor
        {
            get
            {
                return this.BackColor;
            }
            set
            {
                this.BackColor = value;
            }
        }

        public void DataBind(BindingSource source, string displayMember, string valueMember)
        {
            this.DataSource = source;
            this.DisplayMember = displayMember;
            this.ValueMember = valueMember;
        }

        string IControlsTasks.ControlType
        {
            get
            {
                return "MyListBox";
            }
        }

        #endregion
    }
}
