﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.WinControls.UI;
using Telerik.WinControls.Primitives;
using CommonDll;

namespace HostProvider
{
    public class MyRadButton : RadButton, IControlsTasks
    {
        #region IRadControlsTasks Members

        System.Drawing.Color IControlsTasks.MyBackColor
        {
            get
            {
                return ((FillPrimitive)this.ButtonElement.Children[0]).BackColor;
            }
            set
            {
                ((FillPrimitive)this.ButtonElement.Children[0]).GradientStyle = Telerik.WinControls.GradientStyles.Solid;
                ((FillPrimitive)this.ButtonElement.Children[0]).BackColor = value;
            }
        }

        public void DataBind(System.Windows.Forms.BindingSource source, string displayMember, string valueMember)
        {

        }

        string IControlsTasks.ControlType
        {
            get
            {
                return "MyRadButton";
            }

        }

        #endregion

        public override string ThemeClassName
        {
            get
            {
                return typeof(RadButton).FullName;
            }
        }
    }
}
