﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.WinControls.UI;
using CommonDll;

namespace HostProvider
{
    public class MyRadListControl : RadListControl, IControlsTasks
    {
        #region IControlsTasks Members

        public System.Drawing.Color MyBackColor
        {
            get
            {
                return this.ListElement.BackColor;
            }
            set
            {
                this.ListElement.BackColor = value;
            }
        }

        public void DataBind(System.Windows.Forms.BindingSource source, string displayMember, string valueMember)
        {
            this.DataSource = source;
            this.DisplayMember = displayMember;
            this.ValueMember = valueMember;
        }

        string IControlsTasks.ControlType
        {
            get
            {
                return "MyRadListControl";
            }

        }

        #endregion

        public override string ThemeClassName
        {
            get
            {
                return typeof(RadListControl).FullName;
            }
        }
    }
}
