﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using CommonDll;

namespace ControlsHostProvider
{
    public class MyDataGridView : DataGridView, IControlsTasks
    {

        #region IControlsTasks Members

        public System.Drawing.Color MyBackColor
        {
            get
            {
                return this.BackgroundColor;
            }
            set
            {
                this.BackgroundColor = value;
            }
        }

        public void DataBind(BindingSource source, string displayMember, string valueMember)
        {
            this.DataSource = source;
        }

        public string ControlType
        {
            get
            {
                return "MyDataGridView";
            }
        }

        #endregion
    }
}
