﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.WinControls.UI;
using CommonDll;

namespace HostProvider
{
    public class MyRadGridView : RadGridView, IControlsTasks
    {
        #region IControlsTasks Members

        public System.Drawing.Color MyBackColor
        {
            get
            {
                return this.TableElement.BackColor;
            }
            set
            {
                this.TableElement.BackColor = value;
            }
        }

        public void DataBind(System.Windows.Forms.BindingSource source, string displayMember, string valueMember)
        {
            this.DataSource = source;            
        }


        string IControlsTasks.ControlType
        {
            get
            {
                return "MyRadGridView";
            }
        }

        #endregion

        public override string ThemeClassName
        {
            get
            {
                return typeof(RadGridView).FullName;
            }
        }
    }
}
